package sharin.doc.builder.xhtml1;

import sharin.doc.builder.Elem;

public class GenericTextElem<E extends Elem> extends GenericCommonElem<E> {

    public GenericTextElem(String name, Object... nodes) {
        super(name, nodes);
    }

    public E align(String value) {
        return attr("align", value);
    }

    public E alignLeft() {
        return align("left");
    }

    public E alignCenter() {
        return align("center");
    }

    public E alignRight() {
        return align("right");
    }
}
